# PetscLogEventDeactivate

Indicates that a particular event should not be logged.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscLogEventDeactivate(PetscEvent event)

Not Collective

### Input Parameter

event -The event id

### Usage

          PetscLogEventDeactivate(VEC_SetValues);
            [code where you do not want to log VecSetValues()]
          PetscLogEventActivate(VEC_SetValues);
            [code where you do want to log VecSetValues()]

### Note

The event may be either a pre-defined PETSc event (found in include/petsclog.h) or an event number obtained with PetscLogEventRegister()).

### Keywords

log, event, deactivate

### See Also

PetscLogEventMPEDeactivate(),PetscLogEventMPEActivate(),PlogEventActivate()

Level:advanced
Location: src/sys/plog/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex3.c.html
src/sys/examples/tutorials/ex3f.F.html